Đến nội dung


Hình ảnh

Làm sao viết tiếng việt trên thanh command


  • Please log in to reply
6 replies to this topic

#1 cad2080

cad2080

    biết vẽ circle

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 August 2012 - 12:48 PM

http://www.cadviet.c...111690_dtxx.lsp
e tìm được 1 lisp viết Dtext rất nhanh nhưng mỗi tội là chữ viết là viết trên thanh command tại lisp này của nước ngoài nên họ k để ý dấu mong các bác giúp đỡ
  • 0

#2 cad2080

cad2080

    biết vẽ circle

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 August 2012 - 11:09 PM

k ai giúp m à
  • 0

#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 13 August 2012 - 11:34 PM

1 . Bạn k nên giục giã kiểu như vậy. Người ta giúp được - người ta thích giúp thì người ta đã trả lời ngay rồi. Người ta không giúp được - không thích giúp thì bạn có re-up bao nhiêu cũng vậy

2. Về câu hỏi của bạn, có 2 cách :
- Bật F12 (dynamic mode) để viết chữ ngay tại con trỏ chuột
- Sửa code 1 tí


(defun Text (pt hgt str)
(entmakex (list (cons 0 "TEXT")
(cons 10 pt)
(cons 11 pt)
(cons 40 hgt)
(cons 72 0) ; lower left justified
(cons 1 str)))
)

(defun c:dtxx (/ *ERROR* osave c txtstr txtsz)

(defun *ERROR* (msg)
(setvar "OSMODE" osave)
(princ)
)

(setq osave (getvar "OSMODE"))
(setvar "OSMODE" 0)
(setq txtsz (getvar "TEXTSIZE"))
(setq c (getpoint "\nSelect location: "))
(initget 129)
(setq txtstr (Lisped "Oanh chu vao day")) ;Sua cho nay thoi
(terpri)
(terpri)
(Text c txtsz txtstr)
(setvar "OSMODE" osave)
(princ) )

  • 5

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 14 August 2012 - 07:37 AM

Hoặc chỉnh chút như này:
 

(defun Text (pt hgt str)
(entmakex (list (cons 0 "TEXT")
(cons 10 pt)
(cons 11 pt)
(cons 40 hgt)
(cons 72 0) ; lower left justified
(cons 1 str)))
)
(defun c:dtxx (/ *ERROR* osave c txtsz)
(defun *ERROR* (msg)
(setvar "OSMODE" osave)
(princ)
)
(setq osave (getvar "OSMODE"))
(setvar "OSMODE" 0)
(setq txtsz (getvar "TEXTSIZE"))
(setq c (getpoint "\nSelect location: "))
(initget 129)
;(setq txtstr (getstring T "\nText: "))
(terpri)
(terpri)
(Text c txtsz ".") ;sua dong nay
(setvar "OSMODE" osave)
(command ".DDEDIT" "last" "") ;them dong nay
(princ) )

  • 4

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 August 2012 - 11:14 AM

Hoặc chỉnh chút như này:



(defun Text (pt hgt str)
(entmakex (list (cons 0 "TEXT")
(cons 10 pt)
(cons 11 pt)
(cons 40 hgt)
(cons 72 0) ; lower left justified
(cons 1 str)))
)
(defun c:dtxx (/ *ERROR* osave c txtsz)
(defun *ERROR* (msg)
(setvar "OSMODE" osave)
(princ)
)
(setq osave (getvar "OSMODE"))
(setvar "OSMODE" 0)
(setq txtsz (getvar "TEXTSIZE"))
(setq c (getpoint "\nSelect location: "))
(initget 129)
;(setq txtstr (getstring T "\nText: "))
(terpri)
(terpri)
(Text c txtsz ".") ;sua dong nay
(setvar "OSMODE" osave)
(command ".DDEDIT" "last" "") ;them dong nay
(princ) )

Thay vì viết text ra rồi DDEDIT -> mình viết luôn text ra luôn anh ạ, code cũng gọn gàng


(defun c:dtxx ()
(command "dtext" pause "" "")
)

  • 2

#6 cad2080

cad2080

    biết vẽ circle

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 14 August 2012 - 06:51 PM

Hoặc chỉnh chút như này:



(defun Text (pt hgt str)
(entmakex (list (cons 0 "TEXT")
(cons 10 pt)
(cons 11 pt)
(cons 40 hgt)
(cons 72 0) ; lower left justified
(cons 1 str)))
)
(defun c:dtxx (/ *ERROR* osave c txtsz)
(defun *ERROR* (msg)
(setvar "OSMODE" osave)
(princ)
)
(setq osave (getvar "OSMODE"))
(setvar "OSMODE" 0)
(setq txtsz (getvar "TEXTSIZE"))
(setq c (getpoint "\nSelect location: "))
(initget 129)
;(setq txtstr (getstring T "\nText: "))
(terpri)
(terpri)
(Text c txtsz ".") ;sua dong nay
(setvar "OSMODE" osave)
(command ".DDEDIT" "last" "") ;them dong nay
(princ) )

thật sự cảm ơn các bác.rất may mắn cho e là được 3 cao thủ của diễn đàn giúp đỡ.nhưng các bác có thể thêm chiều cao 2.5 nhưng chiều cao này phụ thuộc vào dimscale
ví dụ như h (* 2.5 (getvar 'dimscale))
  • 0

#7 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 August 2012 - 07:26 PM

thật sự cảm ơn các bác.rất may mắn cho e là được 3 cao thủ của diễn đàn giúp đỡ.nhưng các bác có thể thêm chiều cao 2.5 nhưng chiều cao này phụ thuộc vào dimscale
ví dụ như h (* 2.5 (getvar 'dimscale))

Thêm 1 tí vào code thôi bạn :

(defun c:dtxx ()
(command "dtext" pause (* 2.5 (getvar 'dimscale)) "")
)

  • 0